<html>
<head>
<meta charset="utf-8"/>
<title>Anagram Engine</title>
<header>
<h1>Search Sub Anagram</h1>
</head>

<body>

</header>

<section>

  <form method='POST' action= '/subanagram' type='submit'>
        <p>Enter word: </p>
        </br>
        <input type='text' name='input_subanagram'></input>
        <input type='submit' value='Search Subanagrams' name = 'button1' onclick='return check_empty();'></input>

  </form>
  Results: 
  <table>
  {%for item in test %}
  <tr>
    <td> {{item}}</td>
  </tr>
  {%endfor%}
  </table>
  



</section>

<script type="text/javascript">
function test_file(){
  var input_file = document.getElementsByName('file_1')[0].value;
  alert(input_file);
  return true;

}


function check_empty(){
  var input = document.getElementsByName('input_word')[0].value;
  var check_length = input.length;
  var letters = /^[A-Za-z]+$/;

  
  if(check_length==0){
    alert("Input is empty!");

    return false;

  }


  else if(input.match(letters))
  { 

  
    return true;
  }
  else
  {
    alert('Please input alphabet characters only');
    return false;
  }
  
  // return false;
}
</script>

</section>
</body>
</html>





<style>
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

tr:nth-child(even) {
  background-color: #dddddd;
}

header {
  background-color: #666;
  padding: 25px;
  text-align: center;
  font-size: 20px;
  color: white;
}
	
nav {
  float: left;
  width: 40%;
  background: #ccc;
  padding: 20px;
  height: 300px;
}

article {
  float: left;
  padding: 30px;
  width: 47%;
  background-color: #f1f1f1;
  
}

section:after {
  content: "";
  display: table;
  clear: both;
}

</style>
